NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::BridgeCurveBuilderEx Class Reference

Represents a NXOpen::Features::BridgeCurve builder. More...

Inheritance diagram for NXOpen::Features::BridgeCurveBuilderEx:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  EndObjectTypes { EndObjectTypesSection, EndObjectTypesObject, EndObjectTypesDatum, EndObjectTypesVector }
 End object type. More...
 
enum  RadiusConstraintMethods { RadiusConstraintMethodsNone, RadiusConstraintMethodsMinimum, RadiusConstraintMethodsPeak }
 Radius constraint methods. More...
 
enum  ShapeControlMethods { ShapeControlMethodsTangentMagnitude, ShapeControlMethodsDepthSkew, ShapeControlMethodsConic, ShapeControlMethodsTemplateCurve }
 Shape control methods. More...
 
enum  StartObjectTypes { StartObjectTypesSection, StartObjectTypesObject }
 Start object type. More...
 

Public Member Functions

NXOpen::ScCollectorConstraintFaces ()
 Returns the constraint faces
Created in NX8.5.0. More...
 
NXOpen::ExpressionConstraintRadius ()
 Returns the constraint radius
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::CurveFitDataCurveFitData ()
 Returns the curve fitting parameters
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::DepthSkewBuilderDepthSkew ()
 Returns the depth skew
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::BridgeCurveConnectivityEndConnectivity ()
 Returns the data representing connectivity information at end
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectEndObject ()
 Returns the end object
Created in NX8.5.0. More...
 
NXOpen::Features::BridgeCurveBuilderEx::EndObjectTypes EndObjectType ()
 Returns the end object type
Created in NX8.5.0. More...
 
NXOpen::SectionEndSection ()
 Returns the end section
Created in NX8.5.0. More...
 
NXOpen::DirectionEndVector ()
 Returns the end vector representing a plane for symmetric modeling
Created in NX8.5.0. More...
 
void Evaluate ()
 Evaluates the curve
Created in NX8.5.0. More...
 
bool IsAssociative ()
 Returns the flag indicating if a feature should be created
Created in NX8.5.0. More...
 
NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethods RadiusConstraintMethod ()
 Returns the radius constraint method
Created in NX8.5.0. More...
 
NXOpen::ExpressionRho ()
 Returns the rho value
Created in NX8.5.0. More...
 
void SetAssociative (bool associative)
 Sets the flag indicating if a feature should be created
Created in NX8.5.0. More...
 
void SetEndObjectType (NXOpen::Features::BridgeCurveBuilderEx::EndObjectTypes endObjectType)
 Sets the end object type
Created in NX8.5.0. More...
 
void SetEndVector (NXOpen::Direction *endVector)
 Sets the end vector representing a plane for symmetric modeling
Created in NX8.5.0. More...
 
void SetRadiusConstraintMethod (NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethods radiusConstraintMethod)
 Sets the radius constraint method
Created in NX8.5.0. More...
 
void SetShapeControlMethod (NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethods shapeControlMethod)
 Sets the shape control method
Created in NX8.5.0. More...
 
void SetStartObjectType (NXOpen::Features::BridgeCurveBuilderEx::StartObjectTypes startObjectType)
 Sets the start object type
Created in NX8.5.0. More...
 
void SetUseNearestPointOnSection (bool useNearestPointOnSection)
 Sets the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve
Created in NX9.0.0. More...
 
NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethods ShapeControlMethod ()
 Returns the shape control method
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::BridgeCurveConnectivityStartConnectivity ()
 Returns the data representing connectivity information at start
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectStartObject ()
 Returns the start object
Created in NX8.5.0. More...
 
NXOpen::Features::BridgeCurveBuilderEx::StartObjectTypes StartObjectType ()
 Returns the start object type
Created in NX8.5.0. More...
 
NXOpen::SectionStartSection ()
 Returns the start section
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::TangentMagnitudeBuilderTangentMagnitude ()
 Returns the tangent magnitude
Created in NX8.5.0. More...
 
NXOpen::SelectCurveTemplateCurve ()
 Returns the template curve
Created in NX8.5.0. More...
 
void UpdateOnEndVectorReversal ()
 Updates the builder based on end vector sense
Created in NX8.5.0. More...
 
bool UseNearestPointOnSection ()
 Returns the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::BridgeCurve builder.

Use NXOpen::Features::BridgeCurveBuilderEx to create, shape and constrain bridges curves between curves, points, surfaces or surface edges. The builder can also create symmetric bridge curves across a datum plane, datum axis or a vector representing a plane. For more details see the NX documentation for Bridge Curves.
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateBridgeCurveBuilderEx
Default values.

Property Value

ConstraintRadius.Value

1.0 (millimeters part), 0.0625 (inches part)

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

EndConnectivity.Continuity.ContinuityType

G1

Rho.Value

0.5


Created in NX8.5.0.

Member Enumeration Documentation

End object type.

Enumerator
EndObjectTypesSection 

Section.

EndObjectTypesObject 

A point or face.

EndObjectTypesDatum 

A datum plane or axis for symmetric constraint.

EndObjectTypesVector 

A vector representing a plane for symmetric constraint.

Radius constraint methods.

Enumerator
RadiusConstraintMethodsNone 

No constraint.

RadiusConstraintMethodsMinimum 

Minimum radius.

RadiusConstraintMethodsPeak 

Peak radius.

Shape control methods.

Enumerator
ShapeControlMethodsTangentMagnitude 

Shape using tangent magnitude at ends.

ShapeControlMethodsDepthSkew 

Shape using depth and skew value.

ShapeControlMethodsConic 

Shape using rho value of a conic.

Valid only when end sections are coplanar.

ShapeControlMethodsTemplateCurve 

Shape by a template curve.

Start object type.

Enumerator
StartObjectTypesSection 

Section.

StartObjectTypesObject 

A point or face.

Member Function Documentation

NXOpen::ScCollector* NXOpen::Features::BridgeCurveBuilderEx::ConstraintFaces ( )

Returns the constraint faces
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilderEx::ConstraintRadius ( )

Returns the constraint radius
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::BridgeCurveBuilderEx::CurveFitData ( )

Returns the curve fitting parameters
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::BridgeCurveBuilderEx::DepthSkew ( )

Returns the depth skew
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::BridgeCurveConnectivity* NXOpen::Features::BridgeCurveBuilderEx::EndConnectivity ( )

Returns the data representing connectivity information at end
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::BridgeCurveBuilderEx::EndObject ( )

Returns the end object
Created in NX8.5.0.



License requirements : None

NXOpen::Features::BridgeCurveBuilderEx::EndObjectTypes NXOpen::Features::BridgeCurveBuilderEx::EndObjectType ( )

Returns the end object type
Created in NX8.5.0.



License requirements : None

NXOpen::Section* NXOpen::Features::BridgeCurveBuilderEx::EndSection ( )

Returns the end section
Created in NX8.5.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::BridgeCurveBuilderEx::EndVector ( )

Returns the end vector representing a plane for symmetric modeling
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::BridgeCurveBuilderEx::Evaluate ( )

Evaluates the curve
Created in NX8.5.0.



License requirements : features_modeling ("FEATURES MODELING")

bool NXOpen::Features::BridgeCurveBuilderEx::IsAssociative ( )

Returns the flag indicating if a feature should be created
Created in NX8.5.0.



License requirements : features_modeling ("FEATURES MODELING")

NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethods NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethod ( )

Returns the radius constraint method
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilderEx::Rho ( )

Returns the rho value
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::BridgeCurveBuilderEx::SetAssociative ( bool  associative)

Sets the flag indicating if a feature should be created
Created in NX8.5.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
associativeassociative
void NXOpen::Features::BridgeCurveBuilderEx::SetEndObjectType ( NXOpen::Features::BridgeCurveBuilderEx::EndObjectTypes  endObjectType)

Sets the end object type
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Parameters
endObjectTypeendobjecttype
void NXOpen::Features::BridgeCurveBuilderEx::SetEndVector ( NXOpen::Direction endVector)

Sets the end vector representing a plane for symmetric modeling
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Parameters
endVectorendvector
void NXOpen::Features::BridgeCurveBuilderEx::SetRadiusConstraintMethod ( NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethods  radiusConstraintMethod)

Sets the radius constraint method
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Parameters
radiusConstraintMethodradiusconstraintmethod
void NXOpen::Features::BridgeCurveBuilderEx::SetShapeControlMethod ( NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethods  shapeControlMethod)

Sets the shape control method
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Parameters
shapeControlMethodshapecontrolmethod
void NXOpen::Features::BridgeCurveBuilderEx::SetStartObjectType ( NXOpen::Features::BridgeCurveBuilderEx::StartObjectTypes  startObjectType)

Sets the start object type
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Parameters
startObjectTypestartobjecttype
void NXOpen::Features::BridgeCurveBuilderEx::SetUseNearestPointOnSection ( bool  useNearestPointOnSection)

Sets the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve
Created in NX9.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
useNearestPointOnSectionusenearestpointonsection
NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethods NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethod ( )

Returns the shape control method
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::BridgeCurveConnectivity* NXOpen::Features::BridgeCurveBuilderEx::StartConnectivity ( )

Returns the data representing connectivity information at start
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::BridgeCurveBuilderEx::StartObject ( )

Returns the start object
Created in NX8.5.0.



License requirements : None

NXOpen::Features::BridgeCurveBuilderEx::StartObjectTypes NXOpen::Features::BridgeCurveBuilderEx::StartObjectType ( )

Returns the start object type
Created in NX8.5.0.



License requirements : None

NXOpen::Section* NXOpen::Features::BridgeCurveBuilderEx::StartSection ( )

Returns the start section
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::BridgeCurveBuilderEx::TangentMagnitude ( )

Returns the tangent magnitude
Created in NX8.5.0.



License requirements : None

NXOpen::SelectCurve* NXOpen::Features::BridgeCurveBuilderEx::TemplateCurve ( )

Returns the template curve
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::BridgeCurveBuilderEx::UpdateOnEndVectorReversal ( )

Updates the builder based on end vector sense
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

bool NXOpen::Features::BridgeCurveBuilderEx::UseNearestPointOnSection ( )

Returns the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve
Created in NX9.0.0.



License requirements : features_modeling ("FEATURES MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.